<?php

use App\Models\Settings;
use App\Models\WebSetting;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Settings::where('type', 'weather_mode')->exists()) {
            Settings::create([
                'type' => 'weather_mode',
                'message' => 0,
            ]);
        }
        if (!WebSetting::where('type', 'google_adsense')->exists()) {
            WebSetting::create([
                'type' => 'google_adsense',
                'message' => '',
            ]);
        }
        if (!WebSetting::where('type', 'android_app_link')->exists()) {
            WebSetting::create([
                'type' => 'android_app_link',
                'message' => '',
            ]);
        }
        if (!WebSetting::where('type', 'ios_app_link')->exists()) {
            WebSetting::create([
                'type' => 'ios_app_link',
                'message' => '',
            ]);
        }
        DB::table('tbl_users')
            ->where('role', '!=', 0)
            ->update([
                'role' => 1,
            ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Settings::where('type', 'weather_mode')->delete();
    }
};
